- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# ImageAccessor< ChannelType, nch > Class Template Reference

Search for all occurrences

## Detailed Description

### template<class ChannelType, cu_int nch>
class mudbox::ImageAccessor< ChannelType, nch >

Definition at line 2531 of file image.h.

`#include <image.h>`

Inheritance diagram for ImageAccessor< ChannelType, nch >:
[legend]

List of all members.

## Public Member Functions
| ImageAccessor (Image *parent)
Color | ColorAt (u_int X, u_int Y) const
| Get the value at a given coordinate.
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const
template<>
Color | ColorAt (u_int X, u_int Y) const

## Constructor & Destructor Documentation

ImageAccessor | ( | Image * | parent | ) | `[inline]`

Definition at line 2534 of file image.h.

                                     : ImageAccessorBase<ChannelType, nch>(parent)
        {
        }

## Member Function Documentation

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Get the value at a given coordinate.

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2762 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), ValueAt(X,Y,3));
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2769 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), ValueAt(X,Y,3));
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2776 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), ValueAt(X,Y,3));
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2783 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), 1.0f);
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2790 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), 1.0f);
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2797 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), 1.0f);
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2825 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), ValueAt(X,Y,3));
    };

Color ColorAt | ( | u_int | X,
|  | u_int | Y
| ) |  | const `[inline]`

Search for all occurrences

Definition at line 2832 of file image.h.

    {
        return Color(ValueAt(X,Y,0), ValueAt(X,Y,1), ValueAt(X,Y,2), 1.0f);
    };

The documentation for this class was generated from the following file:

- Mudbox/image.h